'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var defaultFormatter = function defaultFormatter(key, value) {
  return key + ':' + value + ';';
};

var reduceProperties = exports.reduceProperties = function reduceProperties(props) {
  var formatter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultFormatter;

  return Object.keys(props).reduce(function (acc, prop) {
    return '' + acc + formatter(prop, props[prop]);
  }, '');
};

var toString = exports.toString = function toString(keyframes) {
  var formatter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultFormatter;

  return Object.keys(keyframes).reduce(function (outer, perc) {
    var value = reduceProperties(keyframes[perc], formatter);
    return '' + outer + perc + '{' + value + '}';
  }, '');
};

exports.default = toString;